Subject: Bug#754: Can't use non-ascii-characters in passwords with

From: Баев Александр Викторович <[email-masked]>
Date: Wed, 21 Jan 2015 10:25:44 +0300

Package: x2goclient
Version: 4.0.3.0
Severity: hight for my

Hi x2go-developers!

x2goclient (4.0.3.0 with win 7) can't establish  

a connection for a user-account, who uses non-ascii-characters in his  

password (Cyrillic characters). The message is: "Access  

denied. Authentication that can continue:  

publickey,password,keyboard-interactive,hostbased". I belive, that  

this is a bug in x2goclient, because I can login with this  

user-account, when I use putty, winscp for ssh directly (and no, I didn't  

typed the password wrong, when using x2goclient).

On the server-side is a x2goserver 4.0.1.18 on gentoo (without ldap or Active Directory).

Bye

oongi